blk_release_queue
Prev | Chapter 17. Block Devices | Next

## Name

blk_release_queue — release a struct request_queue when it is no longer needed

## Synopsis

`void blk_release_queue (` | struct kobject * | kobj`)`;

## Arguments

`kobj`

  the kobj belonging of the request queue to be released

## Description

blk_cleanup_queue is the pair to `blk_init_queue` or `blk_queue_make_request`. It should be called when a request queue is being released; typically when a block device is being de-registered. Currently, its primary task it to free all the struct request structures that were allocated to the queue and the queue itself.

## Caveat

Hopefully the low level driver will have finished any outstanding requests first...

Prev | Up | Next
blk_rq_map_kern | Home | blk_queue_prep_rq